% names.m
% contains file names and other data that are substituted into 
% appropriate fields in the main GUI template

% title on the main GUI (this is not a file name, just a string)
model_name = 'Model Name';

% system diagram; need both png and pdf versions
system_diagram_png = 'FillingIn_Dia.png';
system_diagram_pdf = 'FillingIn_MathModel.pdf';

% description of model, include system diagram with caption and reference(s)
description_pdf = 'FillingIn_Model.pdf';

% description of inputs
inputs_pdf = 'inputs.pdf';

% related technical paper
article_pdf = 'FillingIn_GroTodorovic1988P&P.pdf';

% abstract
abstract_pdf = 'FillingIn_Abstract.pdf';

% description of example case
tutorial_pdf = 'FillingIn_Tutorial.pdf';

% how to run, similar to unix man page
how_to_run_pdf = 'to_run.pdf';

% html version of code listing
code_listing_html = 'index.html';
